ListCatalog
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.MCPServer.ListCatalog(ctx, operations.C1APIAiGovernanceV1MCPServerServiceListCatalogRequest{})
if err != nil {
log.Fatal(err)
}
if res.MCPServerServiceListCatalogResponse != nil {
// handle response
}
}curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/mcp_server_catalog \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/mcp_server_catalog"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/mcp_server_catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"authModes": [
{
"authStyle": "<string>",
"authorizeUrl": "<string>",
"credentialUrl": "<string>",
"description": "<string>",
"extraAuthorizeParams": {},
"extraTokenParams": {},
"header": "<string>",
"issuerUrl": "<string>",
"jwtAudience": "<string>",
"oauth2Grant": "<string>",
"passthrough": true,
"pkce": "<string>",
"scopes": [
"<string>"
],
"tokenUrl": "<string>"
}
],
"baseUrl": "<string>",
"configSchema": {
"fields": [
{
"default": "<string>",
"description": "<string>",
"displayName": "<string>",
"name": "<string>",
"placeholder": "<string>",
"required": true,
"secret": true
}
]
},
"defaultAuthorizeUrl": "<string>",
"defaultScopes": [
"<string>"
],
"defaultTokenUrl": "<string>",
"description": "<string>",
"displayName": "<string>",
"iconUrl": "<string>",
"id": "<string>",
"serviceName": "<string>",
"stable": true,
"supportedOauth2Modes": []
}
],
"nextPageToken": "<string>"
}MCP Servers
List Catalog
ListCatalog returns all available MCP server catalog entries.
GET
/
api
/
v1
/
mcp_server_catalog
ListCatalog
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.MCPServer.ListCatalog(ctx, operations.C1APIAiGovernanceV1MCPServerServiceListCatalogRequest{})
if err != nil {
log.Fatal(err)
}
if res.MCPServerServiceListCatalogResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Query Parameters
Page size (max 100).
Page token for pagination.
Optional text query to filter catalog entries by display name.
Response
200 - application/json
MCPServerServiceListCatalogResponse returns a paginated list of catalog entries.
Was this page helpful?
⌘I